Skip to main content
POST
/
auth
/
keys
Create an API key
curl --request POST \
  --url https://api.radion.app/auth/keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyLabel": "production_read",
  "audience": "<string>",
  "issuer": "<string>",
  "jwksUrl": "<string>",
  "perSessionLimit": 123,
  "publicKeyPem": "<string>"
}
'
{
  "keyLabel": "<string>",
  "rawKey": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyLabel
string
required
Example:

"production_read"

audience
string | null
issuer
string | null
jwksUrl
string | null
keyType
enum<string>
Available options:
secret,
public_jwt
perSessionLimit
integer<int32> | null
publicKeyPem
string | null

Response

API key created. The raw key is shown once.

keyLabel
string
required
rawKey
string
required
Last modified on July 7, 2026